<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.kuaishou.modules.batch.mapper.KuaiShouScheduleMapper">
    <insert id="replaceBatch">
        replace into ctop_kuaishou_schedule(
        account_id,
        unit_id,
        mon,
        tues,
        wed,
        thur,
        fri,
        sat,
        sun,
        create_time,
        update_time)
        values
        <foreach collection="schedules" item="schedule" separator=",">
            (
            #{schedule.accountId},
            #{schedule.unitId},
            #{schedule.mon},
            #{schedule.tues},
            #{schedule.wed},
            #{schedule.thur},
            #{schedule.fri},
            #{schedule.sat},
            #{schedule.sun},
            #{schedule.createTime},
            #{schedule.updateTime})
        </foreach>
    </insert>
</mapper>
